Subject: bug#20283: 25.0.50; Emacs freezes when yanking

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Apr 2015 12:57:21 +0300

> From: Tassilo Horn <[email-masked]>
> Date: Thu, 09 Apr 2015 11:24:19 +0200
> 
> 
> Since recently, I sometimes get short freezes when yanking text, i.e., I
> either kill some text in emacs or mark some text in other applications
> so that it is added to the X selection, and then when I do `C-y' emacs
> hangs for some seconds, and then the actual yank is performed.
> 
> Sometimes, I get the following error message just before the freeze
> stops:
> 
>   gui-get-selection: (error "Timed out waiting for reply from selection owner")

There were several similar bug reports lately, at least these: 17172,
17101, 17026, 17737.  I suggest to read those discussions, perhaps
there are some ideas there.